<?php

return [

    /**
     * Provider.
     */
    'provider'  => 'classifieds',

    /*
     * Package.
     */
    'package'   => 'advertisement',

    /*
     * Modules.
     */
    'modules'   => ['advertisement'],

    
    'advertisement'       => [
        'model' => [
            'model' => \Classifieds\Advertisement\Models\Advertisement::class,
            'repository' => \Classifieds\Advertisement\Repositories\Eloquent\AdvertisementRepository::class,
            'table' => 'advertisements',
            'hidden'=> [],
            'visible' => [],
            'guarded' => ['*'],
            'slugs' => ['slug' => 'name'],
            'dates' => ['deleted_at', 'createdat', 'updated_at'],
            'appends' => [],
            'fillable' => ['id',  'client_id',  'type',  'category_id',  'subcategory_id',  'title',  'name',  'email',  'mobile',  'images',  'description',  'condition',  'slug',  'view_count',  'price',  'country_id',  'state_id',  'district_id',  'city_id',  'video_link',  'negotiable',  'manufacture_year',  'electronics_brand_id',  'electronics_model',  'electronics_warranty',  'electronics_additional_features',  'job_gender',  'job_salary_period',  'job_salary_from',  'job_salary_to',  'job_position_type',  'job_company_name',  'job_benefits',  'job_work_experience',  'job_expires_on',  'job_languages_known',  'job_remote_job',  'job_skill_set',  'job_company_size',  'job_listed_by',  'job_cv_required',  'job_nationality',  'resume_cv',  'resume_gender',  'resume_nationality',  'resume_current_location',  'resume_current_company',  'resume_current_position',  'resume_notice_period',  'resume_visa_status',  'resume_work_experience',  'resume_education_level',  'resume_position_type',  'resume_salary_expectation',  'motors_usage',  'motors_kilometers',  'motors_warranty',  'motors_wheels',  'motors_manufacturer',  'motors_engine_size',  'motors_model',  'motors_fuel_type',  'motors_transmission',  'property_for',  'property_floor_plan',  'property_amenities',  'property_construction_meterial',  'property_about_builder',  'property_RERA_reg_no',  'property_bedrooms',  'property_bathrooms',  'property_number_doors',  'property_car_parking',  'property_car_parking_nos',  'property_furnishing',  'property_construction_status',  'property_listed_by',  'property_total_floors',  'property_floor_no',  'property_plot_area',  'property_length',  'property_breadth',  'deleted_at',  'created_at',  'updated_at'],
            'translatables' => [],
            'upload_folder' => 'advertisement/advertisement',
            'uploads' => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts' => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision' => [],
            'perPage' => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider' => 'Classifieds',
            'package' => 'Advertisement',
            'module' => 'Advertisement',
        ],
    ],
];
