<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreateAdvertisementsTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: advertisements
         */
        Schema::create('advertisements', function ($table) {
            $table->increments('id');
            $table->integer('client_id')->nullable();
            $table->string('type', 255)->nullable();
            $table->integer('category_id')->nullable();
            $table->integer('subcategory_id')->nullable();
            $table->string('title', 255)->nullable();
            $table->string('name', 255)->nullable();
            $table->string('email', 100)->nullable();
            $table->string('mobile', 20)->nullable();
            $table->text('images')->nullable();
            $table->text('description')->nullable();
            $table->enum('condition', ['New','Used'])->nullable();
            $table->string('slug', 150)->nullable();
            $table->integer('view_count')->nullable();
            $table->integer('price')->nullable();
            $table->integer('country_id')->nullable();
            $table->integer('state_id')->nullable();
            $table->integer('district_id')->nullable();
            $table->integer('city_id')->nullable();
            $table->string('video_link', 100)->nullable();
            $table->enum('negotiable', ['Yes','No'])->nullable();
            $table->date('manufacture_year')->nullable();
            $table->integer('electronics_brand_id')->nullable();
            $table->string('electronics_model', 60)->nullable();
            $table->text('electronics_warranty')->nullable();
            $table->text('electronics_additional_features')->nullable();
            $table->enum('job_gender', ['Any','Male','Female'])->nullable();
            $table->enum('job_salary_period', ['Hourly','Weekly','Monthly','Yearly'])->nullable();
            $table->integer('job_salary_from')->nullable();
            $table->integer('job_salary_to')->nullable();
            $table->enum('job_position_type', ['Part-Time','Full-Time','Contract','Temporary'])->nullable();
            $table->string('job_company_name', 60)->nullable();
            $table->text('job_benefits')->nullable();
            $table->text('job_work_experience')->nullable();
            $table->text('job_expires_on')->nullable();
            $table->text('job_languages_known')->nullable();
            $table->enum('job_remote_job', ['Yes','No'])->nullable();
            $table->text('job_skill_set')->nullable();
            $table->integer('job_company_size')->nullable();
            $table->enum('job_listed_by', ['Employer','Recruiter'])->nullable();
            $table->enum('job_cv_required', ['Yes','No'])->nullable();
            $table->string('job_nationality', 100)->nullable();
            $table->text('resume_cv')->nullable();
            $table->enum('resume_gender', ['Male','Female'])->nullable();
            $table->string('resume_nationality', 100)->nullable();
            $table->string('resume_current_location', 100)->nullable();
            $table->string('resume_current_company', 100)->nullable();
            $table->string('resume_current_position', 100)->nullable();
            $table->string('resume_notice_period', 60)->nullable();
            $table->string('resume_visa_status', 60)->nullable();
            $table->string('resume_work_experience', 60)->nullable();
            $table->string('resume_education_level', 60)->nullable();
            $table->enum('resume_position_type', ['Part-Time','Full-Time','Contract','Temporary'])->nullable();
            $table->integer('resume_salary_expectation')->nullable();
            $table->string('motors_usage', 255)->nullable();
            $table->integer('motors_kilometers')->nullable();
            $table->text('motors_warranty')->nullable();
            $table->integer('motors_wheels')->nullable();
            $table->string('motors_manufacturer', 255)->nullable();
            $table->string('motors_engine_size', 150)->nullable();
            $table->string('motors_model', 150)->nullable();
            $table->enum('motors_fuel_type', ['Gasoline','Diesel','Electric','Hybrid'])->nullable();
            $table->enum('motors_transmission', ['Automatic','Manual'])->nullable();
            $table->enum('property_for', ['Sale','Rent'])->nullable();
            $table->text('property_floor_plan')->nullable();
            $table->enum('property_amenities', [])->nullable();
            $table->text('property_construction_meterial')->nullable();
            $table->text('property_about_builder')->nullable();
            $table->string('property_RERA_reg_no', 150)->nullable();
            $table->integer('property_bedrooms')->nullable();
            $table->integer('property_bathrooms')->nullable();
            $table->integer('property_number_doors')->nullable();
            $table->enum('property_car_parking', ['Yes','No'])->nullable();
            $table->integer('property_car_parking_nos')->nullable();
            $table->enum('property_furnishing', ['Furnished','Semi-Furnished','Unfurnished'])->nullable();
            $table->enum('property_construction_status', ['New Launch','Ready to move','Under Construction'])->nullable();
            $table->enum('property_listed_by', ['Owner','Dealer','Builder'])->nullable();
            $table->integer('property_total_floors')->nullable();
            $table->integer('property_floor_no')->nullable();
            $table->string('property_plot_area', 255)->nullable();
            $table->string('property_length', 50)->nullable();
            $table->string('property_breadth', 50)->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('advertisements');
    }
}
