<?php

return [
    /*
    |--------------------------------------------------------------------------
    | Language files for advertisement in advertisement package
    |--------------------------------------------------------------------------
    |
    | The following language lines are  for  advertisement module in advertisement package
    | and it is used by the template/view files in this module
    |
    */

    /**
     * Singlular and plural name of the module
     */
    'name' => 'Advertisement',
    'names' => 'Advertisements',
    'icon' => 'las la-list',

    /**
     * Singlular and plural name of the module
     */
    'title' => [
        'main' => 'Advertisements',
        'sub' => 'Advertisements'
    ],

    /**
     * Singlular and plural name of the module
     */
    'groups'         => [
        'main' => 'Main',
        'images' => 'Images',
        'details' => 'Details',
        'settings' => 'Settings'
    ],

    /**
     * Form sub section name for the module.
     */
    'sections' => [
        'main' => 'Main',
        'details' => 'Details',
    ],

    /**
     * Options for select/radio/check.
     */
    'options'       => [
        'condition'           => ['New','Used'],
            'negotiable'          => ['Yes','No'],
            'job_gender'          => ['Any','Male','Female'],
            'job_salary_period'   => ['Hourly','Weekly','Monthly','Yearly'],
            'job_position_type'   => ['Part-Time','Full-Time','Contract','Temporary'],
            'job_remote_job'      => ['Yes','No'],
            'job_listed_by'       => ['Employer','Recruiter'],
            'job_cv_required'     => ['Yes','No'],
            'resume_gender'       => ['Male','Female'],
            'resume_position_type' => ['Part-Time','Full-Time','Contract','Temporary'],
            'motors_fuel_type'    => ['Gasoline','Diesel','Electric','Hybrid'],
            'motors_transmission' => ['Automatic','Manual'],
            'property_for'        => ['Sale','Rent'],
            'property_amenities'  => [],
            'property_car_parking' => ['Yes','No'],
            'property_furnishing' => ['Furnished','Semi-Furnished','Unfurnished'],
            'property_construction_status' => ['New Launch','Ready to move','Under Construction'],
            'property_listed_by'  => ['Owner','Dealer','Builder'],
    ],

    /**
     * Placeholder for inputs
     */
    'placeholder'   => [
        'id'                         => 'Please enter id',
        'client_id'                  => 'Please enter client id',
        'type'                       => 'Please enter type',
        'category_id'                => 'Please enter category id',
        'subcategory_id'             => 'Please enter subcategory id',
        'title'                      => 'Please enter title',
        'name'                       => 'Please enter name',
        'email'                      => 'Please enter email',
        'mobile'                     => 'Please enter mobile',
        'images'                     => 'Please enter images',
        'description'                => 'Please enter description',
        'condition'                  => 'Please select condition',
        'slug'                       => 'Please enter slug',
        'view_count'                 => 'Please enter view count',
        'price'                      => 'Please enter price',
        'country_id'                 => 'Please enter country id',
        'state_id'                   => 'Please enter state id',
        'district_id'                => 'Please enter district id',
        'city_id'                    => 'Please enter city id',
        'video_link'                 => 'Please enter video link',
        'negotiable'                 => 'Please select negotiable',
        'manufacture_year'           => 'Please select manufacture year',
        'electronics_brand_id'        => 'Please enter electronics brand id',
        'electronics_model'          => 'Please enter electronics model',
        'electronics_warranty'        => 'Please enter electronics warranty',
        'electronics_additional_features'        => 'Please enter electronics additional features',
        'job_gender'                 => 'Please select job gender',
        'job_salary_period'          => 'Please select job salary period',
        'job_salary_from'            => 'Please enter job salary from',
        'job_salary_to'              => 'Please enter job salary to',
        'job_position_type'          => 'Please select job position type',
        'job_company_name'           => 'Please enter job company name',
        'job_benefits'               => 'Please enter job benefits',
        'job_work_experience'        => 'Please enter job work experience',
        'job_expires_on'             => 'Please enter job expires on',
        'job_languages_known'        => 'Please enter job languages known',
        'job_remote_job'             => 'Please select job remote job',
        'job_skill_set'              => 'Please enter job skill set',
        'job_company_size'           => 'Please enter job company size',
        'job_listed_by'              => 'Please select job listed by',
        'job_cv_required'            => 'Please select job cv required',
        'job_nationality'            => 'Please enter job nationality',
        'resume_cv'                  => 'Please enter resume cv',
        'resume_gender'              => 'Please select resume gender',
        'resume_nationality'         => 'Please enter resume nationality',
        'resume_current_location'        => 'Please enter resume current location',
        'resume_current_company'        => 'Please enter resume current company',
        'resume_current_position'        => 'Please enter resume current position',
        'resume_notice_period'        => 'Please enter resume notice period',
        'resume_visa_status'         => 'Please enter resume visa status',
        'resume_work_experience'        => 'Please enter resume work experience',
        'resume_education_level'        => 'Please enter resume education level',
        'resume_position_type'        => 'Please select resume position type',
        'resume_salary_expectation'        => 'Please enter resume salary expectation',
        'motors_usage'               => 'Please enter motors usage',
        'motors_kilometers'          => 'Please enter motors kilometers',
        'motors_warranty'            => 'Please enter motors warranty',
        'motors_wheels'              => 'Please enter motors wheels',
        'motors_manufacturer'        => 'Please enter motors manufacturer',
        'motors_engine_size'         => 'Please enter motors engine size',
        'motors_model'               => 'Please enter motors model',
        'motors_fuel_type'           => 'Please select motors fuel type',
        'motors_transmission'        => 'Please select motors transmission',
        'property_for'               => 'Please select property for',
        'property_floor_plan'        => 'Please enter property floor plan',
        'property_amenities'         => 'Please enter property amenities',
        'property_construction_meterial'        => 'Please enter property construction meterial',
        'property_about_builder'        => 'Please enter property about builder',
        'property_RERA_reg_no'        => 'Please enter property RERA reg no',
        'property_bedrooms'          => 'Please enter property bedrooms',
        'property_bathrooms'         => 'Please enter property bathrooms',
        'property_number_doors'        => 'Please enter property number doors',
        'property_car_parking'        => 'Please select property car parking',
        'property_car_parking_nos'        => 'Please enter property car parking nos',
        'property_furnishing'        => 'Please select property furnishing',
        'property_construction_status'        => 'Please select property construction status',
        'property_listed_by'         => 'Please select property listed by',
        'property_total_floors'        => 'Please enter property total floors',
        'property_floor_no'          => 'Please enter property floor no',
        'property_plot_area'         => 'Please enter property plot area',
        'property_length'            => 'Please enter property length',
        'property_breadth'           => 'Please enter property breadth',
        'deleted_at'                 => 'Please select deleted at',
        'created_at'                 => 'Please select created at',
        'updated_at'                 => 'Please select updated at',
    ],

    /**
     * Labels for inputs.
     */
    'label'         => [
        'id'                         => 'Id',
        'client_id'                  => 'Client id',
        'type'                       => 'Type',
        'category_id'                => 'Category id',
        'subcategory_id'             => 'Subcategory id',
        'title'                      => 'Title',
        'name'                       => 'Name',
        'email'                      => 'Email',
        'mobile'                     => 'Mobile',
        'images'                     => 'Images',
        'description'                => 'Description',
        'condition'                  => 'Condition',
        'slug'                       => 'Slug',
        'view_count'                 => 'View count',
        'price'                      => 'Price',
        'country_id'                 => 'Country id',
        'state_id'                   => 'State id',
        'district_id'                => 'District id',
        'city_id'                    => 'City id',
        'video_link'                 => 'Video link',
        'negotiable'                 => 'Negotiable',
        'manufacture_year'           => 'Manufacture year',
        'electronics_brand_id'        => 'Electronics brand id',
        'electronics_model'          => 'Electronics model',
        'electronics_warranty'        => 'Electronics warranty',
        'electronics_additional_features'        => 'Electronics additional features',
        'job_gender'                 => 'Job gender',
        'job_salary_period'          => 'Job salary period',
        'job_salary_from'            => 'Job salary from',
        'job_salary_to'              => 'Job salary to',
        'job_position_type'          => 'Job position type',
        'job_company_name'           => 'Job company name',
        'job_benefits'               => 'Job benefits',
        'job_work_experience'        => 'Job work experience',
        'job_expires_on'             => 'Job expires on',
        'job_languages_known'        => 'Job languages known',
        'job_remote_job'             => 'Job remote job',
        'job_skill_set'              => 'Job skill set',
        'job_company_size'           => 'Job company size',
        'job_listed_by'              => 'Job listed by',
        'job_cv_required'            => 'Job cv required',
        'job_nationality'            => 'Job nationality',
        'resume_cv'                  => 'Resume cv',
        'resume_gender'              => 'Resume gender',
        'resume_nationality'         => 'Resume nationality',
        'resume_current_location'        => 'Resume current location',
        'resume_current_company'        => 'Resume current company',
        'resume_current_position'        => 'Resume current position',
        'resume_notice_period'        => 'Resume notice period',
        'resume_visa_status'         => 'Resume visa status',
        'resume_work_experience'        => 'Resume work experience',
        'resume_education_level'        => 'Resume education level',
        'resume_position_type'        => 'Resume position type',
        'resume_salary_expectation'        => 'Resume salary expectation',
        'motors_usage'               => 'Motors usage',
        'motors_kilometers'          => 'Motors kilometers',
        'motors_warranty'            => 'Motors warranty',
        'motors_wheels'              => 'Motors wheels',
        'motors_manufacturer'        => 'Motors manufacturer',
        'motors_engine_size'         => 'Motors engine size',
        'motors_model'               => 'Motors model',
        'motors_fuel_type'           => 'Motors fuel type',
        'motors_transmission'        => 'Motors transmission',
        'property_for'               => 'Property for',
        'property_floor_plan'        => 'Property floor plan',
        'property_amenities'         => 'Property amenities',
        'property_construction_meterial'        => 'Property construction meterial',
        'property_about_builder'        => 'Property about builder',
        'property_RERA_reg_no'        => 'Property RERA reg no',
        'property_bedrooms'          => 'Property bedrooms',
        'property_bathrooms'         => 'Property bathrooms',
        'property_number_doors'        => 'Property number doors',
        'property_car_parking'        => 'Property car parking',
        'property_car_parking_nos'        => 'Property car parking nos',
        'property_furnishing'        => 'Property furnishing',
        'property_construction_status'        => 'Property construction status',
        'property_listed_by'         => 'Property listed by',
        'property_total_floors'        => 'Property total floors',
        'property_floor_no'          => 'Property floor no',
        'property_plot_area'         => 'Property plot area',
        'property_length'            => 'Property length',
        'property_breadth'           => 'Property breadth',
        'deleted_at'                 => 'Deleted at',
        'created_at'                 => 'Created at',
        'updated_at'                 => 'Updated at',
    ],
];
