<?php

namespace Classifieds\Advertisement\Forms;

use Litepie\Form\FormInterpreter;

class Advertisement extends FormInterpreter
{

    /**
     * Sets the form and form elements.
     * @return null.
     */
    public static function setAttributes()
    {

        self::$urls = [
            'new' => [
                'url' => guard_url('advertisement/advertisement/new'),
                'method' => 'GET',
            ],
            'create' => [
                'url' => guard_url('advertisement/advertisement/create'),
                'method' => 'GET',
            ],
            'store' => [
                'url' => guard_url('advertisement/advertisement'),
                'method' => 'POST',
            ],
            'update' => [
                'url' => guard_url('advertisement/advertisement'),
                'method' => 'PUT',
            ],
            'list' => [
                'url' => guard_url('advertisement/advertisement'),
                'method' => 'GET',
            ],
            'delete' => [
                'url' => guard_url('advertisement/advertisement'),
                'method' => 'DELETE',
            ],
        ];
        self::$search = [
            'name' => [
                "type" => 'text',
                "label" => trans('advertisement::advertisement.label.name'),
                "placeholder" => trans('advertisement::advertisement.placeholder.name'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "4",
                "roles" => [],
            ]
        ];
        self::$orderBy = [
            'created_at' => trans('advertisement::advertisement.label.created_at'),
            'name' => trans('advertisement::advertisement.label.name'),
            'status' => trans('advertisement::advertisement.label.status'),
        ];
        self::$groups = [
            'main' => trans('advertisement::advertisement.groups.main'),
            'details' => trans('advertisement::advertisement.groups.details'),
            'images' => trans('advertisement::advertisement.groups.images'),
            'settings' => trans('advertisement::advertisement.groups.settings'),
        ];
        self::$list = [
            [
                'key' => "ref",
                'label' => trans('advertisement::advertisement.label.ref'),
                'sortable' => 'true',
                'roles' => [],
            ],
            [
                'key' => "id",
                'label' => trans('advertisement::advertisement.label.id'),
                'sortable' => 'true',
                'roles' => [],
            ],
            [
                'key' => "name",
                'label' => trans('advertisement::advertisement.label.name'),
                'sortable' => 'true',
                'roles' => [],
            ],
            [
                'key' => "status",
                'label' => trans('advertisement::advertisement.label.status'),
                'sortable' => 'true',
                'roles' => [],
            ],
        ];
        self::$fields = [
                'client_id' => [
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => trans('advertisement::advertisement.label.client_id'),
                "placeholder" => trans('advertisement::advertisement.placeholder.client_id'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'type' => [
                "element" => 'text',
                "type" => 'text',
                "label" => trans('advertisement::advertisement.label.type'),
                "placeholder" => trans('advertisement::advertisement.placeholder.type'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'category_id' => [
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => trans('advertisement::advertisement.label.category_id'),
                "placeholder" => trans('advertisement::advertisement.placeholder.category_id'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'subcategory_id' => [
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => trans('advertisement::advertisement.label.subcategory_id'),
                "placeholder" => trans('advertisement::advertisement.placeholder.subcategory_id'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'title' => [
                "element" => 'text',
                "type" => 'text',
                "label" => trans('advertisement::advertisement.label.title'),
                "placeholder" => trans('advertisement::advertisement.placeholder.title'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'name' => [
                "element" => 'text',
                "type" => 'text',
                "label" => trans('advertisement::advertisement.label.name'),
                "placeholder" => trans('advertisement::advertisement.placeholder.name'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'email' => [
                "element" => 'text',
                "type" => 'text',
                "label" => trans('advertisement::advertisement.label.email'),
                "placeholder" => trans('advertisement::advertisement.placeholder.email'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'mobile' => [
                "element" => 'text',
                "type" => 'text',
                "label" => trans('advertisement::advertisement.label.mobile'),
                "placeholder" => trans('advertisement::advertisement.placeholder.mobile'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'images' => [
                "element" => 'text',
                "type" => 'text',
                "label" => trans('advertisement::advertisement.label.images'),
                "placeholder" => trans('advertisement::advertisement.placeholder.images'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'description' => [
                "element" => 'text',
                "type" => 'text',
                "label" => trans('advertisement::advertisement.label.description'),
                "placeholder" => trans('advertisement::advertisement.placeholder.description'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'condition' => [
                "element" => 'select',
                "type" => 'select',
                "label" => trans('advertisement::advertisement.label.condition'),
                "placeholder" => trans('advertisement::advertisement.placeholder.condition'),
                "rules" => '',
                "options" => function(){
                    return [];
                },
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'view_count' => [
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => trans('advertisement::advertisement.label.view_count'),
                "placeholder" => trans('advertisement::advertisement.placeholder.view_count'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'price' => [
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => trans('advertisement::advertisement.label.price'),
                "placeholder" => trans('advertisement::advertisement.placeholder.price'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'country_id' => [
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => trans('advertisement::advertisement.label.country_id'),
                "placeholder" => trans('advertisement::advertisement.placeholder.country_id'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'state_id' => [
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => trans('advertisement::advertisement.label.state_id'),
                "placeholder" => trans('advertisement::advertisement.placeholder.state_id'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'district_id' => [
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => trans('advertisement::advertisement.label.district_id'),
                "placeholder" => trans('advertisement::advertisement.placeholder.district_id'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'city_id' => [
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => trans('advertisement::advertisement.label.city_id'),
                "placeholder" => trans('advertisement::advertisement.placeholder.city_id'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'video_link' => [
                "element" => 'text',
                "type" => 'text',
                "label" => trans('advertisement::advertisement.label.video_link'),
                "placeholder" => trans('advertisement::advertisement.placeholder.video_link'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'negotiable' => [
                "element" => 'select',
                "type" => 'select',
                "label" => trans('advertisement::advertisement.label.negotiable'),
                "placeholder" => trans('advertisement::advertisement.placeholder.negotiable'),
                "rules" => '',
                "options" => function(){
                    return [];
                },
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'manufacture_year' => [
                "element" => 'date',
                "type" => 'date',
                "label" => trans('advertisement::advertisement.label.manufacture_year'),
                "placeholder" => trans('advertisement::advertisement.placeholder.manufacture_year'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'electronics_brand_id' => [
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => trans('advertisement::advertisement.label.electronics_brand_id'),
                "placeholder" => trans('advertisement::advertisement.placeholder.electronics_brand_id'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'electronics_model' => [
                "element" => 'text',
                "type" => 'text',
                "label" => trans('advertisement::advertisement.label.electronics_model'),
                "placeholder" => trans('advertisement::advertisement.placeholder.electronics_model'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'electronics_warranty' => [
                "element" => 'text',
                "type" => 'text',
                "label" => trans('advertisement::advertisement.label.electronics_warranty'),
                "placeholder" => trans('advertisement::advertisement.placeholder.electronics_warranty'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'electronics_additional_features' => [
                "element" => 'text',
                "type" => 'text',
                "label" => trans('advertisement::advertisement.label.electronics_additional_features'),
                "placeholder" => trans('advertisement::advertisement.placeholder.electronics_additional_features'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'job_gender' => [
                "element" => 'select',
                "type" => 'select',
                "label" => trans('advertisement::advertisement.label.job_gender'),
                "placeholder" => trans('advertisement::advertisement.placeholder.job_gender'),
                "rules" => '',
                "options" => function(){
                    return [];
                },
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'job_salary_period' => [
                "element" => 'select',
                "type" => 'select',
                "label" => trans('advertisement::advertisement.label.job_salary_period'),
                "placeholder" => trans('advertisement::advertisement.placeholder.job_salary_period'),
                "rules" => '',
                "options" => function(){
                    return [];
                },
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'job_salary_from' => [
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => trans('advertisement::advertisement.label.job_salary_from'),
                "placeholder" => trans('advertisement::advertisement.placeholder.job_salary_from'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'job_salary_to' => [
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => trans('advertisement::advertisement.label.job_salary_to'),
                "placeholder" => trans('advertisement::advertisement.placeholder.job_salary_to'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'job_position_type' => [
                "element" => 'radios',
                "type" => 'radios',
                "label" => trans('advertisement::advertisement.label.job_position_type'),
                "placeholder" => trans('advertisement::advertisement.placeholder.job_position_type'),
                "rules" => '',
                "options" => function(){
                    return [];
                },
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'job_company_name' => [
                "element" => 'text',
                "type" => 'text',
                "label" => trans('advertisement::advertisement.label.job_company_name'),
                "placeholder" => trans('advertisement::advertisement.placeholder.job_company_name'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'job_benefits' => [
                "element" => 'text',
                "type" => 'text',
                "label" => trans('advertisement::advertisement.label.job_benefits'),
                "placeholder" => trans('advertisement::advertisement.placeholder.job_benefits'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'job_work_experience' => [
                "element" => 'text',
                "type" => 'text',
                "label" => trans('advertisement::advertisement.label.job_work_experience'),
                "placeholder" => trans('advertisement::advertisement.placeholder.job_work_experience'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'job_expires_on' => [
                "element" => 'text',
                "type" => 'text',
                "label" => trans('advertisement::advertisement.label.job_expires_on'),
                "placeholder" => trans('advertisement::advertisement.placeholder.job_expires_on'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'job_languages_known' => [
                "element" => 'text',
                "type" => 'text',
                "label" => trans('advertisement::advertisement.label.job_languages_known'),
                "placeholder" => trans('advertisement::advertisement.placeholder.job_languages_known'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'job_remote_job' => [
                "element" => 'select',
                "type" => 'select',
                "label" => trans('advertisement::advertisement.label.job_remote_job'),
                "placeholder" => trans('advertisement::advertisement.placeholder.job_remote_job'),
                "rules" => '',
                "options" => function(){
                    return [];
                },
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'job_skill_set' => [
                "element" => 'text',
                "type" => 'text',
                "label" => trans('advertisement::advertisement.label.job_skill_set'),
                "placeholder" => trans('advertisement::advertisement.placeholder.job_skill_set'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'job_company_size' => [
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => trans('advertisement::advertisement.label.job_company_size'),
                "placeholder" => trans('advertisement::advertisement.placeholder.job_company_size'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'job_listed_by' => [
                "element" => 'select',
                "type" => 'select',
                "label" => trans('advertisement::advertisement.label.job_listed_by'),
                "placeholder" => trans('advertisement::advertisement.placeholder.job_listed_by'),
                "rules" => '',
                "options" => function(){
                    return [];
                },
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'job_cv_required' => [
                "element" => 'select',
                "type" => 'select',
                "label" => trans('advertisement::advertisement.label.job_cv_required'),
                "placeholder" => trans('advertisement::advertisement.placeholder.job_cv_required'),
                "rules" => '',
                "options" => function(){
                    return [];
                },
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'job_nationality' => [
                "element" => 'text',
                "type" => 'text',
                "label" => trans('advertisement::advertisement.label.job_nationality'),
                "placeholder" => trans('advertisement::advertisement.placeholder.job_nationality'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'resume_cv' => [
                "element" => 'text',
                "type" => 'text',
                "label" => trans('advertisement::advertisement.label.resume_cv'),
                "placeholder" => trans('advertisement::advertisement.placeholder.resume_cv'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'resume_gender' => [
                "element" => 'select',
                "type" => 'select',
                "label" => trans('advertisement::advertisement.label.resume_gender'),
                "placeholder" => trans('advertisement::advertisement.placeholder.resume_gender'),
                "rules" => '',
                "options" => function(){
                    return [];
                },
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'resume_nationality' => [
                "element" => 'text',
                "type" => 'text',
                "label" => trans('advertisement::advertisement.label.resume_nationality'),
                "placeholder" => trans('advertisement::advertisement.placeholder.resume_nationality'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'resume_current_location' => [
                "element" => 'text',
                "type" => 'text',
                "label" => trans('advertisement::advertisement.label.resume_current_location'),
                "placeholder" => trans('advertisement::advertisement.placeholder.resume_current_location'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'resume_current_company' => [
                "element" => 'text',
                "type" => 'text',
                "label" => trans('advertisement::advertisement.label.resume_current_company'),
                "placeholder" => trans('advertisement::advertisement.placeholder.resume_current_company'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'resume_current_position' => [
                "element" => 'text',
                "type" => 'text',
                "label" => trans('advertisement::advertisement.label.resume_current_position'),
                "placeholder" => trans('advertisement::advertisement.placeholder.resume_current_position'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'resume_notice_period' => [
                "element" => 'text',
                "type" => 'text',
                "label" => trans('advertisement::advertisement.label.resume_notice_period'),
                "placeholder" => trans('advertisement::advertisement.placeholder.resume_notice_period'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'resume_visa_status' => [
                "element" => 'text',
                "type" => 'text',
                "label" => trans('advertisement::advertisement.label.resume_visa_status'),
                "placeholder" => trans('advertisement::advertisement.placeholder.resume_visa_status'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'resume_work_experience' => [
                "element" => 'text',
                "type" => 'text',
                "label" => trans('advertisement::advertisement.label.resume_work_experience'),
                "placeholder" => trans('advertisement::advertisement.placeholder.resume_work_experience'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'resume_education_level' => [
                "element" => 'text',
                "type" => 'text',
                "label" => trans('advertisement::advertisement.label.resume_education_level'),
                "placeholder" => trans('advertisement::advertisement.placeholder.resume_education_level'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'resume_position_type' => [
                "element" => 'select',
                "type" => 'select',
                "label" => trans('advertisement::advertisement.label.resume_position_type'),
                "placeholder" => trans('advertisement::advertisement.placeholder.resume_position_type'),
                "rules" => '',
                "options" => function(){
                    return [];
                },
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'resume_salary_expectation' => [
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => trans('advertisement::advertisement.label.resume_salary_expectation'),
                "placeholder" => trans('advertisement::advertisement.placeholder.resume_salary_expectation'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'motors_usage' => [
                "element" => 'text',
                "type" => 'text',
                "label" => trans('advertisement::advertisement.label.motors_usage'),
                "placeholder" => trans('advertisement::advertisement.placeholder.motors_usage'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'motors_kilometers' => [
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => trans('advertisement::advertisement.label.motors_kilometers'),
                "placeholder" => trans('advertisement::advertisement.placeholder.motors_kilometers'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'motors_warranty' => [
                "element" => 'text',
                "type" => 'text',
                "label" => trans('advertisement::advertisement.label.motors_warranty'),
                "placeholder" => trans('advertisement::advertisement.placeholder.motors_warranty'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'motors_wheels' => [
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => trans('advertisement::advertisement.label.motors_wheels'),
                "placeholder" => trans('advertisement::advertisement.placeholder.motors_wheels'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'motors_manufacturer' => [
                "element" => 'text',
                "type" => 'text',
                "label" => trans('advertisement::advertisement.label.motors_manufacturer'),
                "placeholder" => trans('advertisement::advertisement.placeholder.motors_manufacturer'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'motors_engine_size' => [
                "element" => 'text',
                "type" => 'text',
                "label" => trans('advertisement::advertisement.label.motors_engine_size'),
                "placeholder" => trans('advertisement::advertisement.placeholder.motors_engine_size'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'motors_model' => [
                "element" => 'text',
                "type" => 'text',
                "label" => trans('advertisement::advertisement.label.motors_model'),
                "placeholder" => trans('advertisement::advertisement.placeholder.motors_model'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'motors_fuel_type' => [
                "element" => 'select',
                "type" => 'select',
                "label" => trans('advertisement::advertisement.label.motors_fuel_type'),
                "placeholder" => trans('advertisement::advertisement.placeholder.motors_fuel_type'),
                "rules" => '',
                "options" => function(){
                    return [];
                },
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'motors_transmission' => [
                "element" => 'select',
                "type" => 'select',
                "label" => trans('advertisement::advertisement.label.motors_transmission'),
                "placeholder" => trans('advertisement::advertisement.placeholder.motors_transmission'),
                "rules" => '',
                "options" => function(){
                    return [];
                },
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'property_for' => [
                "element" => 'select',
                "type" => 'select',
                "label" => trans('advertisement::advertisement.label.property_for'),
                "placeholder" => trans('advertisement::advertisement.placeholder.property_for'),
                "rules" => '',
                "options" => function(){
                    return [];
                },
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'property_floor_plan' => [
                "element" => 'checkboxes',
                "type" => 'checkboxes',
                "label" => trans('advertisement::advertisement.label.property_floor_plan'),
                "placeholder" => trans('advertisement::advertisement.placeholder.property_floor_plan'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'property_amenities' => [
                "element" => 'checkboxes',
                "type" => 'checkboxes',
                "label" => trans('advertisement::advertisement.label.property_amenities'),
                "placeholder" => trans('advertisement::advertisement.placeholder.property_amenities'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'property_construction_meterial' => [
                "element" => 'text',
                "type" => 'text',
                "label" => trans('advertisement::advertisement.label.property_construction_meterial'),
                "placeholder" => trans('advertisement::advertisement.placeholder.property_construction_meterial'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'property_about_builder' => [
                "element" => 'text',
                "type" => 'text',
                "label" => trans('advertisement::advertisement.label.property_about_builder'),
                "placeholder" => trans('advertisement::advertisement.placeholder.property_about_builder'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'property_RERA_reg_no' => [
                "element" => 'text',
                "type" => 'text',
                "label" => trans('advertisement::advertisement.label.property_RERA_reg_no'),
                "placeholder" => trans('advertisement::advertisement.placeholder.property_RERA_reg_no'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'property_bedrooms' => [
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => trans('advertisement::advertisement.label.property_bedrooms'),
                "placeholder" => trans('advertisement::advertisement.placeholder.property_bedrooms'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'property_bathrooms' => [
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => trans('advertisement::advertisement.label.property_bathrooms'),
                "placeholder" => trans('advertisement::advertisement.placeholder.property_bathrooms'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'property_number_doors' => [
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => trans('advertisement::advertisement.label.property_number_doors'),
                "placeholder" => trans('advertisement::advertisement.placeholder.property_number_doors'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'property_car_parking' => [
                "element" => 'select',
                "type" => 'select',
                "label" => trans('advertisement::advertisement.label.property_car_parking'),
                "placeholder" => trans('advertisement::advertisement.placeholder.property_car_parking'),
                "rules" => '',
                "options" => function(){
                    return [];
                },
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'property_car_parking_nos' => [
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => trans('advertisement::advertisement.label.property_car_parking_nos'),
                "placeholder" => trans('advertisement::advertisement.placeholder.property_car_parking_nos'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'property_furnishing' => [
                "element" => 'select',
                "type" => 'select',
                "label" => trans('advertisement::advertisement.label.property_furnishing'),
                "placeholder" => trans('advertisement::advertisement.placeholder.property_furnishing'),
                "rules" => '',
                "options" => function(){
                    return [];
                },
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'property_construction_status' => [
                "element" => 'select',
                "type" => 'select',
                "label" => trans('advertisement::advertisement.label.property_construction_status'),
                "placeholder" => trans('advertisement::advertisement.placeholder.property_construction_status'),
                "rules" => '',
                "options" => function(){
                    return [];
                },
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'property_listed_by' => [
                "element" => 'select',
                "type" => 'select',
                "label" => trans('advertisement::advertisement.label.property_listed_by'),
                "placeholder" => trans('advertisement::advertisement.placeholder.property_listed_by'),
                "rules" => '',
                "options" => function(){
                    return [];
                },
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'property_total_floors' => [
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => trans('advertisement::advertisement.label.property_total_floors'),
                "placeholder" => trans('advertisement::advertisement.placeholder.property_total_floors'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'property_floor_no' => [
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => trans('advertisement::advertisement.label.property_floor_no'),
                "placeholder" => trans('advertisement::advertisement.placeholder.property_floor_no'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'property_plot_area' => [
                "element" => 'text',
                "type" => 'text',
                "label" => trans('advertisement::advertisement.label.property_plot_area'),
                "placeholder" => trans('advertisement::advertisement.placeholder.property_plot_area'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'property_length' => [
                "element" => 'text',
                "type" => 'text',
                "label" => trans('advertisement::advertisement.label.property_length'),
                "placeholder" => trans('advertisement::advertisement.placeholder.property_length'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'property_breadth' => [
                "element" => 'text',
                "type" => 'text',
                "label" => trans('advertisement::advertisement.label.property_breadth'),
                "placeholder" => trans('advertisement::advertisement.placeholder.property_breadth'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
        ];

        return new static();
    }
}
