<?php

namespace Classifieds\Advertisement\Repositories\Eloquent;

use Classifieds\Advertisement\Interfaces\AdvertisementRepositoryInterface;
use Litepie\Repository\BaseRepository;
use Classifieds\Advertisement\Repositories\Eloquent\Presenters\AdvertisementItemPresenter;


class AdvertisementRepository extends BaseRepository implements AdvertisementRepositoryInterface
{

    public function boot()
    {
        $this->fieldSearchable = config('classifieds.advertisement.advertisement.model.search');
    }

    /**
     * Specify Model class name.
     *
     * @return string
     */
    public function model()
    {
        return config('classifieds.advertisement.advertisement.model.model');
    }

    /**
     * Returns the default presenter if none is availabale.
     *
     * @return void
     */
    public function presenter()
    {
        return AdvertisementItemPresenter::class;
    }
}
